Bug 197537 - OpenOffice.org, Move FC-5 from 2.0.2 to 2.0.3
OpenOffice.org, Move FC-5 from 2.0.2 to 2.0.3
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
5
All Linux
medium Severity high
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-03 16:53 EDT by Matthew Wright
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-04 03:16:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Wright 2006-07-03 16:53:21 EDT
Could you please upgrade Fedora Core Openoffice 2.0.2 to 2.0.3 to fix identified
upstream bugfixes.  Openoffice.org team are calling for all customers to upgrade
and customers who are getting their oo.org through a distributor such as redhat
to get their vendor's update.

I particularly want this release because I run a number of Terminal server
environments with 30 or so desktop users, and 2.0.3 is reported to have better
compatability converting Microsoft proprietry word document forward (importing).

release notes....
http://development.openoffice.org/releases/2.0.3.html

security bulletin
http://www.openoffice.org/security/bulletin-20060629.html

From the openoffice.org website..

OpenOffice.org 2.0.3 is recommended for all. Enhancements include:

    * performance improvements: for example, a 23 percent improvement in certain
Calc benchmarks
    * further improvements to file format compatibility with Microsoft Office files
    * new email integration features for users wanting to send emails in
Microsoft file formats
    * more control over how exported PDF documents will display when opened in a
PDF reader
    * support for more languages and improvements in hyphenation and thesaurus
    * support for Intel architecture for Mac OS X plus improved Mac OS X System
integration
    * built-in check for updated versions

We also recommend OpenOffice.org 2.0.3 because it includes important security
fixes. These have not been exploited but all users of any prior version of
OpenOffice.org are urged to download 2.0.3. A standalone patch will be available
soon.
Comment 1 Caolan McNamara 2006-07-04 03:16:07 EDT
2.0.2 for FC-5 has been updated to include the security fixes which were
included into 2.0.3 to address the security issues. 

It's generally not policy for fedora to upgrade a package to a new release to
address security issues, but to backport the fix to the older package. FC-5
2.0.2 is secure against the security flaws in the original 2.0.2. 

FC-6 will include 2.0.3, which will have been tested somewhat in the FC-6
testing period to flush out any gotcha-s which moving FC-5 directly to 2.0.3
without a long burn in period could throw up. 

(and there isn't that much difference from 2.0.2 to 2.0.3's word compatibility,
except for a few numbering fixes IIRC)
Comment 2 Matthew Wright 2006-07-18 18:36:22 EDT
I have been comparing versions, and there is a lot more fixed in 2.0.3 than you
seem to realise.

And example

when doing a find replace, looking for email addresses delimited by semi-colon's
then replacing with commas   ie Find ";" replace with ","

2.0.2 stuffs up and selects half the email address string.

In 2.0.3 I have tested this working fine.

Working with tables crashes 2.0.2 doing the same thing in 2.0.3 does not.

This is very important to me as we are running FC5 as a linux terminal server
and have 30 users, they are all grumpy, and want to go back to win32.  The issue
 with this is we will become one of those failure reference sites.  Which is bad
for redhat commercially and bad for the movement.

Note You need to log in before you can comment on or make changes to this bug.